petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateHybridMesh

Create a mesh with hybrid cells along an internal interface

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateHybridMesh(DM dm, DMLabel label, DMLabel bdlabel, DMLabel *hybridLabel, DMLabel *splitLabel, DM *dmInterface, DM *dmHybrid)

Collective on dm

### Input Parameters

| dm | - The original DM
| label | - The label specifying the interface vertices
| bdlabel | - The optional label specifying the interface boundary vertices

### Output Parameters

| hybridLabel | - The label fully marking the interface, or NULL if no output is desired
| splitLabel | - The label containing the split points, or NULL if no output is desired
| dmInterface | - The new interface DM, or NULL
| dmHybrid | - The new DM with cohesive cells

### See Also

DMPlexConstructCohesiveCells(), DMPlexLabelCohesiveComplete(), DMCreate()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages